Index: /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_verif_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_verif_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_verif_mod.F90	(revision 5116)
@@ -1366,17 +1360,16 @@
         enddo !do i=1,n
 
-        if (iso_verif_aberrant_nostop_loc.eq.1) then
-          write(*,*) 'erreur detectee par ', &
+        if (iso_verif_aberrant_nostop_loc.eq.1) THEN
+          WRITE(*,*) 'erreur detectee par ', &
                  'iso_verif_aberrant_enc_vect2D:'
-          write(*,*) err_msg
-          write(*,*) 'i,j=',ifaux,jfaux
-          write(*,*) 'deltaD=',deltaD(xt(iso_HDO,ifaux,jfaux) &
+          WRITE(*,*) err_msg
+          WRITE(*,*) 'i,j=',ifaux,jfaux
+          WRITE(*,*) 'deltaD=',deltaD(xt(iso_HDO,ifaux,jfaux) &
                  /q(ifaux,jfaux))
-          write(*,*) 'xt(:,ifaux,jfaux)=',xt(:,ifaux,jfaux)
-          write(*,*) 'q(ifaux,jfaux)=',q(ifaux,jfaux)
+          WRITE(*,*) 'xt(:,ifaux,jfaux)=',xt(:,ifaux,jfaux)
+          WRITE(*,*) 'q(ifaux,jfaux)=',q(ifaux,jfaux)
           CALL abort_physic('isotopes_verif_mod','iso_verif_aberrant_enc_vect2D',1)
         endif  
-        endif !if (iso_HDO.gt.0) then
-
+        endif !if (iso_HDO.gt.0) THEN
         END SUBROUTINE  iso_verif_aberrant_enc_vect2D
 
@@ -1400,13 +1393,13 @@
         !real deltaD
 
-        if (iso_HDO.gt.0) then
+        if (iso_HDO.gt.0) THEN
         iso_verif_aberrant_nostop_loc=0
         do i=1,n
          do j=1,m
-          if (q(i,j).gt.ridicule) then 
+          if (q(i,j).gt.ridicule) THEN
             if (((xt(iso_HDO,i,j)/q(i,j)/tnat(iso_HDO)-1)*1000.0 &
                          .gt.deltalim).or. &
                 ((xt(iso_HDO,i,j)/q(i,j)/tnat(iso_HDO)-1)*1000.0 &
-                         .lt.deltaDmin)) then
+                         .lt.deltaDmin)) THEN
               iso_verif_aberrant_nostop_loc=1
               ifaux=i
@@ -1417,16 +1410,15 @@
         enddo !do i=1,n
 
-        if (iso_verif_aberrant_nostop_loc.eq.1) then
-          write(*,*) 'erreur detectee par ', &
+        if (iso_verif_aberrant_nostop_loc.eq.1) THEN
+          WRITE(*,*) 'erreur detectee par ', &
                  'iso_verif_aberrant_vect2D_ns:'
-          write(*,*) err_msg
-          write(*,*) 'i,j=',ifaux,jfaux
-          write(*,*) 'deltaD=',deltaD(xt(iso_HDO,ifaux,jfaux) &
+          WRITE(*,*) err_msg
+          WRITE(*,*) 'i,j=',ifaux,jfaux
+          WRITE(*,*) 'deltaD=',deltaD(xt(iso_HDO,ifaux,jfaux) &
                  /q(ifaux,jfaux))
-          write(*,*) 'xt(:,ifaux,jfaux)=',xt(:,ifaux,jfaux)
+          WRITE(*,*) 'xt(:,ifaux,jfaux)=',xt(:,ifaux,jfaux)
 !          stop
         endif  
-        endif !if (iso_HDO.gt.0) then
-
+        endif !if (iso_HDO.gt.0) THEN
         END SUBROUTINE  iso_verif_aberrant_enc_vect2D_ns
 
@@ -1452,13 +1444,13 @@
         !real deltaD
 
-        if (iso_HDO.gt.0) then
+        if (iso_HDO.gt.0) THEN
         iso_verif_aberrant_nostop_loc=0
         do i=1,n
          do j=1,m
-          if (q(i,j).gt.ridicule) then 
+          if (q(i,j).gt.ridicule) THEN
             if (((xt(iso_HDO,i,j)/q(i,j)/tnat(iso_HDO)-1)*1000.0 &
                          .gt.deltaDmax).or. &
                 ((xt(iso_HDO,i,j)/q(i,j)/tnat(iso_HDO)-1)*1000.0 &
-                         .lt.-borne)) then
+                         .lt.-borne)) THEN
               iso_verif_aberrant_nostop_loc=1
               ifaux=i
@@ -1469,15 +1461,14 @@
         enddo !do i=1,n
 
-        if (iso_verif_aberrant_nostop_loc.eq.1) then
-          write(*,*) 'erreur detectee par iso_verif_aberrant_vect2D:'
-          write(*,*) err_msg
-          write(*,*) 'i,j=',ifaux,jfaux
-          write(*,*) 'deltaD=',deltaD(xt(iso_HDO,ifaux,jfaux) &
+        if (iso_verif_aberrant_nostop_loc.eq.1) THEN
+          WRITE(*,*) 'erreur detectee par iso_verif_aberrant_vect2D:'
+          WRITE(*,*) err_msg
+          WRITE(*,*) 'i,j=',ifaux,jfaux
+          WRITE(*,*) 'deltaD=',deltaD(xt(iso_HDO,ifaux,jfaux) &
                  /q(ifaux,jfaux))
-          write(*,*) 'xt(:,ifaux,jfaux)=',xt(:,ifaux,jfaux)
+          WRITE(*,*) 'xt(:,ifaux,jfaux)=',xt(:,ifaux,jfaux)
           stop
         endif  
-        endif !if (iso_HDO.gt.0) then
-
+        endif !if (iso_HDO.gt.0) THEN
         END SUBROUTINE  iso_verif_aberrant_vect2Dch
 
@@ -1500,10 +1491,9 @@
         real deltaDloc,deltaoloc,dexcessloc
 
-        if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) then
+        if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) THEN
         iso_verif_aberrant_nostop_loc=0
         do i=1,n
          do j=1,m
-          if (q(i,j).gt.ridicule) then 
-
+          if (q(i,j).gt.ridicule) THEN
             deltaDloc=(xt(iso_HDO,i,j)/q(i,j)/tnat(iso_hdo)-1)*1000
             deltaoloc=(xt(iso_O18,i,j)/q(i,j)/tnat(iso_O18)-1)*1000
@@ -1512,9 +1502,9 @@
               (deltaDloc.gt.deltalim).or.(deltaoloc.gt.deltalim/8.0).or. &
               ((deltaDloc.gt.-500.0).and.((dexcessloc.lt.dexcess_min) &
-              .or.(dexcessloc.gt.dexcess_max)))) then
+              .or.(dexcessloc.gt.dexcess_max)))) THEN
               iso_verif_aberrant_nostop_loc=1
               ifaux=i
               jfaux=j
-              write(*,*) 'deltaD,deltao,dexcess=',deltaDloc,deltaoloc,dexcessloc
+              WRITE(*,*) 'deltaD,deltao,dexcess=',deltaDloc,deltaoloc,dexcessloc
            endif
           endif
@@ -1522,15 +1512,14 @@
         enddo !do i=1,n
 
-        if (iso_verif_aberrant_nostop_loc.eq.1) then
-          write(*,*) 'erreur detectee par ', &
+        if (iso_verif_aberrant_nostop_loc.eq.1) THEN
+          WRITE(*,*) 'erreur detectee par ', &
                  'iso_verif_aberrant_enc_vect2D:'
-          write(*,*) err_msg
-          write(*,*) 'i,j=',ifaux,jfaux
-          write(*,*) 'xt(:,ifaux,jfaux)=',xt(:,ifaux,jfaux)
-          write(*,*) 'q(ifaux,jfaux)=',q(ifaux,jfaux)
+          WRITE(*,*) err_msg
+          WRITE(*,*) 'i,j=',ifaux,jfaux
+          WRITE(*,*) 'xt(:,ifaux,jfaux)=',xt(:,ifaux,jfaux)
+          WRITE(*,*) 'q(ifaux,jfaux)=',q(ifaux,jfaux)
           CALL abort_physic('isotopes_verif_mod','iso_verif_aberrant_enc_vect2D',1)
         endif  
-        endif !if (iso_HDO.gt.0) then
-
+        endif !if (iso_HDO.gt.0) THEN
         END SUBROUTINE  iso_verif_O18_aberrant_enc_vect2D
 
@@ -1725,9 +1714,9 @@
         do ixt=1,ni
          if ((x(ixt,i,j).gt.-borne).and. &
-                  (x(ixt,i,j).lt.borne)) then
+                  (x(ixt,i,j).lt.borne)) THEN
          else !if ((x(ixt,i,j).gt.-borne).and.
-            write(*,*) 'erreur detectee par iso_verif_nonNAN:'
-            write(*,*) err_msg
-            write(*,*) 'x,ixt,i,j=',x(ixt,i,j),ixt,i,j
+            WRITE(*,*) 'erreur detectee par iso_verif_nonNAN:'
+            WRITE(*,*) err_msg
+            WRITE(*,*) 'x,ixt,i,j=',x(ixt,i,j),ixt,i,j
             stop
          endif  !if ((x(ixt,i,j).gt.-borne).and.
@@ -1738,5 +1727,5 @@
 #ifdef ISOVERIF
 #else
-        write(*,*) 'err_msg iso1772=',err_msg,': pourquoi verif?'
+        WRITE(*,*) 'err_msg iso1772=',err_msg,': pourquoi verif?'
         stop
 #endif           
@@ -1764,13 +1753,13 @@
         !real deltaD
 
-        if (iso_HDO.gt.0) then
+        if (iso_HDO.gt.0) THEN
         iso_verif_aberrant_nostop_loc=0
         do i=ib,ie
          do j=1,m
-          if (q(i,j).gt.ridicule) then 
+          if (q(i,j).gt.ridicule) THEN
             if (((xt(iso_HDO,i,j)/q(i,j)/tnat(iso_HDO)-1)*1000.0 &
                          .gt.deltalim).or. &
                 ((xt(iso_HDO,i,j)/q(i,j)/tnat(iso_HDO)-1)*1000.0 &
-                         .lt.deltaDmin)) then
+                         .lt.deltaDmin)) THEN
               iso_verif_aberrant_nostop_loc=1
               ifaux=i
@@ -1781,16 +1770,15 @@
         enddo !do i=1,n
 
-        if (iso_verif_aberrant_nostop_loc.eq.1) then
-          write(*,*) 'erreur detectee par iso_verif_aberrant_par2D:'
-          write(*,*) err_msg
-          write(*,*) 'i,j=',ifaux,jfaux
-          write(*,*) 'deltaD=',deltaD(xt(iso_HDO,ifaux,jfaux) &
+        if (iso_verif_aberrant_nostop_loc.eq.1) THEN
+          WRITE(*,*) 'erreur detectee par iso_verif_aberrant_par2D:'
+          WRITE(*,*) err_msg
+          WRITE(*,*) 'i,j=',ifaux,jfaux
+          WRITE(*,*) 'deltaD=',deltaD(xt(iso_HDO,ifaux,jfaux) &
                  /q(ifaux,jfaux))
-          write(*,*) 'xt(:,ifaux,jfaux)=',xt(:,ifaux,jfaux)
-          write(*,*) 'q(ifaux,jfaux)=',q(ifaux,jfaux)
+          WRITE(*,*) 'xt(:,ifaux,jfaux)=',xt(:,ifaux,jfaux)
+          WRITE(*,*) 'q(ifaux,jfaux)=',q(ifaux,jfaux)
           stop
         endif  
-        endif !if (iso_HDO.gt.0) then
-
+        endif !if (iso_HDO.gt.0) THEN
         END SUBROUTINE  iso_verif_aberrant_enc_par2D
 
@@ -1813,12 +1801,12 @@
         integer ifaux,jfaux
 
-        if (iso_eau.gt.0) then
+        if (iso_eau.gt.0) THEN
         iso_verif_egalite_nostop_loc=0
         do i=ib,ie
          do j=1,m
-          if (abs(q(i,j)-xt(iso_eau,i,j)).gt.errmax) then
+          if (abs(q(i,j)-xt(iso_eau,i,j)).gt.errmax) THEN
            if (abs((q(i,j)-xt(iso_eau,i,j))/ &
                  max(max(abs(q(i,j)),abs(xt(iso_eau,i,j))),1e-18)) &
-                 .gt.errmaxrel) then
+                 .gt.errmaxrel) THEN
               iso_verif_egalite_nostop_loc=1
               ifaux=i
@@ -1829,9 +1817,9 @@
         enddo !do i=1,n
 
-        if (iso_verif_egalite_nostop_loc.eq.1) then
-          write(*,*) 'erreur detectee par iso_verif_egalite_vect2D:'
-          write(*,*) err_msg
-          write(*,*) 'i,j=',ifaux,jfaux
-          write(*,*) 'xt,q=',xt(iso_eau,ifaux,jfaux),q(ifaux,jfaux)
+        if (iso_verif_egalite_nostop_loc.eq.1) THEN
+          WRITE(*,*) 'erreur detectee par iso_verif_egalite_vect2D:'
+          WRITE(*,*) err_msg
+          WRITE(*,*) 'i,j=',ifaux,jfaux
+          WRITE(*,*) 'xt,q=',xt(iso_eau,ifaux,jfaux),q(ifaux,jfaux)
           stop
         endif 
@@ -1867,5 +1855,5 @@
 
         ! verif noNaN
-        if (iso_verif_traceur_noNaN_nostop(x,err_msg).eq.1) then
+        if (iso_verif_traceur_noNaN_nostop(x,err_msg).eq.1) THEN
              iso_verif_traceur_choix_nostop=1
         endif 
@@ -1873,23 +1861,22 @@
         ! verif masse
         if (iso_verif_tracm_choix_nostop(x,err_msg, &
-                 errmax,errmaxrel).eq.1) then
+                 errmax,errmaxrel).eq.1) THEN
              iso_verif_traceur_choix_nostop=1
         endif              
 
         ! verif deltaD
-        if (iso_HDO.gt.0) then
+        if (iso_HDO.gt.0) THEN
         if (iso_verif_tracdD_choix_nostop(x,err_msg, &
-                 ridicule_trac,deltalimtrac).eq.1) then
+                 ridicule_trac,deltalimtrac).eq.1) THEN
              iso_verif_traceur_choix_nostop=1
         endif  
-        endif !if (iso_HDO.gt.0) then  
-
+        endif !if (iso_HDO.gt.0) THEN
         ! verif pas aberramment negatif
         if (iso_verif_tracpos_choix_nostop(x,err_msg, &
-                 1e-5).eq.1) then
+                 1e-5).eq.1) THEN
              iso_verif_traceur_choix_nostop=1
         endif 
 
-        end function iso_verif_traceur_choix_nostop
+        END FUNCTION iso_verif_traceur_choix_nostop
 
         function iso_verif_tracnps_choix_nostop(x,err_msg, &
@@ -1918,5 +1905,5 @@
 
         ! verif noNaN
-        if (iso_verif_traceur_noNaN_nostop(x,err_msg).eq.1) then
+        if (iso_verif_traceur_noNaN_nostop(x,err_msg).eq.1) THEN
              iso_verif_tracnps_choix_nostop=1
         endif 
@@ -1924,21 +1911,19 @@
         ! verif masse
         if (iso_verif_tracm_choix_nostop(x,err_msg, &
-                 errmax,errmaxrel).eq.1) then
+                 errmax,errmaxrel).eq.1) THEN
              iso_verif_tracnps_choix_nostop=1
         endif              
 
         ! verif deltaD
-        if (iso_HDO.gt.0) then
+        if (iso_HDO.gt.0) THEN
         if (iso_verif_tracdD_choix_nostop(x,err_msg, &
-                 ridicule_trac,deltalimtrac).eq.1) then
+                 ridicule_trac,deltalimtrac).eq.1) THEN
              iso_verif_tracnps_choix_nostop=1
         endif   
-        endif ! if (iso_HDO.gt.0) then  
-
-
-        end function iso_verif_tracnps_choix_nostop
+        endif ! if (iso_HDO.gt.0) THEN
+        END FUNCTION iso_verif_tracnps_choix_nostop
 
         function iso_verif_tracpos_choix_nostop(x,err_msg,seuil)
-        use isotopes_mod, only: isoName
+        use isotopes_mod, ONLY: isoName
         IMPLICIT NONE
 
@@ -1960,14 +1945,14 @@
        do ixt=niso+1,ntraciso
           if (iso_verif_positif_choix_nostop(x(ixt),seuil,err_msg// &
-                 ', verif positif, iso'//TRIM(isoName(ixt))).eq.1) then
+                 ', verif positif, iso'//TRIM(isoName(ixt))).eq.1) THEN
             iso_verif_tracpos_choix_nostop=1
           endif
         enddo
 
-        end function iso_verif_tracpos_choix_nostop
+        END FUNCTION iso_verif_tracpos_choix_nostop
 
 
         function iso_verif_traceur_noNaN_nostop(x,err_msg)
-        use isotopes_mod, only: isoName
+        use isotopes_mod, ONLY: isoName
         IMPLICIT NONE
 
@@ -1988,13 +1973,13 @@
 
         do ixt=niso+1,ntraciso
-!          write(*,*) 'iso_verif_traceurs 154: iiso,ixt=',iiso,ixt
+!          WRITE(*,*) 'iso_verif_traceurs 154: iiso,ixt=',iiso,ixt
           if (iso_verif_noNaN_nostop(x(ixt),err_msg// &
                  ', verif trac no NaN, iso'//TRIM(isoName(ixt))) &
-                 .eq.1) then
+                 .eq.1) THEN
             iso_verif_traceur_noNaN_nostop=1
           endif
         enddo
 
-        end function iso_verif_traceur_noNaN_nostop
+        END FUNCTION iso_verif_traceur_noNaN_nostop
 
         function iso_verif_tracm_choix_nostop(x,err_msg, &
@@ -2031,10 +2016,10 @@
               err_msg//', verif trac egalite1, iso '// &
               TRIM(isoName(iiso)), &
-              errmaxin,errmaxrelin).eq.1) then
-            write(*,*) 'iso_verif_traceur 202: x=',x
-!            write(*,*) 'xtractot=',xtractot
+              errmaxin,errmaxrelin).eq.1) THEN
+            WRITE(*,*) 'iso_verif_traceur 202: x=',x
+!            WRITE(*,*) 'xtractot=',xtractot
             do izone=1,nzone  
               ixt=itZonIso(izone,iiso)
-              write(*,*) 'izone,iiso,ixt=',izone,iiso,ixt
+              WRITE(*,*) 'izone,iiso,ixt=',izone,iiso,ixt
             enddo
             iso_verif_tracm_choix_nostop=1
@@ -2043,8 +2028,8 @@
           ! verif ajoutée le 19 fev 2011
           if ((abs(xtractot).lt.ridicule**2).and. &
-                 (abs(x(iiso)).gt.ridicule)) then
-            write(*,*) err_msg,', verif masse traceurs, iso ', &
+                 (abs(x(iiso)).gt.ridicule)) THEN
+            WRITE(*,*) err_msg,', verif masse traceurs, iso ', &
                 TRIM(isoName(iiso))
-            write(*,*) 'iso_verif_traceur 209: x=',x
+            WRITE(*,*) 'iso_verif_traceur 209: x=',x
 !            iso_verif_tracm_choix_nostop=1
           endif
@@ -2052,5 +2037,5 @@
         enddo !do iiso=1,ntraceurs_iso  
 
-        end function iso_verif_tracm_choix_nostop
+        END FUNCTION iso_verif_tracm_choix_nostop
 
         function iso_verif_tracdD_choix_nostop(x,err_msg, &
@@ -2058,5 +2043,5 @@
 
         USE isotopes_mod, ONLY: iso_eau, iso_HDO
-        use isotrac_mod, only: strtrac
+        use isotrac_mod, ONLY: strtrac
         ! on vérifie juste deltaD
         IMPLICIT NONE
@@ -2076,5 +2061,5 @@
         iso_verif_tracdD_choix_nostop=0
 
-        if ((iso_eau.gt.0).and.(iso_HDO.gt.0)) then
+        if ((iso_eau.gt.0).and.(iso_HDO.gt.0)) THEN
         do izone=1,nzone
              ieau=itZonIso(izone,iso_eau)
@@ -2084,8 +2069,8 @@
                  ridicule_trac,deltalimtrac,err_msg// &
                  ', verif trac no aberrant zone '//strtrac(izone)) &
-                 .eq.1) then
+                 .eq.1) THEN
                iso_verif_tracdD_choix_nostop=1
              endif
-!             if (x(ieau).gt.ridicule) then
+!             if (x(ieau).gt.ridicule) THEN
 !              CALL iso_verif_aberrant(x(ixt)/x(ieau),
 !     :           err_msg//', verif trac no aberrant zone '
@@ -2093,7 +2078,6 @@
 !             endif
         enddo !do izone=1,nzone
-       endif ! if ((iso_eau.gt.0).and.(iso_HDO.gt.0)) then
-
-       end function iso_verif_tracdD_choix_nostop
+       endif ! if ((iso_eau.gt.0).and.(iso_HDO.gt.0)) THEN
+       END FUNCTION iso_verif_tracdD_choix_nostop
 
 INTEGER FUNCTION iso_verif_tag17_q_deltaD_chns(x,err_msg) RESULT(res)
@@ -2112,9 +2096,9 @@
   IF(x(ieau)>ridicule) THEN
     IF(iso_verif_positif_nostop(-200.0-deltaD(x(ixt)/x(ieau)), err_msg//': deltaDt05 trop fort')==1) THEN
-      res=1; write(*,*) 'x=',x
+      res=1; WRITE(*,*) 'x=',x
     END IF
   END IF
   IF(iso_verif_positif_nostop(2.0e-3-x(ieau),err_msg//': qt05 trop fort')==1) THEN
-    res=1; write(*,*) 'x=',x
+    res=1; WRITE(*,*) 'x=',x
   END IF
   !--- Check whether q is small ; then, qt01 < 10%
@@ -2122,5 +2106,5 @@
     ieau1= itZonIso(1,iso_eau)
     IF(iso_verif_positif_nostop(0.1-(x(ieau1)/x(iso_eau)),err_msg//': qt01 trop abondant')==1) THEN
-      res=1; write(*,*) 'x=',x
+      res=1; WRITE(*,*) 'x=',x
     END IF
   END IF
@@ -2139,5 +2123,5 @@
 
       SUBROUTINE iso_verif_traceur(x,err_msg)
-        use isotrac_mod, only: ridicule_trac
+        use isotrac_mod, ONLY: ridicule_trac
         IMPLICIT NONE
         ! vérifier des choses sur les traceurs
@@ -2157,5 +2141,5 @@
         if (iso_verif_traceur_choix_nostop(x,err_msg, &
              errmax,errmaxrel,ridicule_trac,deltalimtrac) &
-             .eq.1) then
+             .eq.1) THEN
                 stop
         endif
@@ -2166,5 +2150,5 @@
       SUBROUTINE iso_verif_traceur_retourne3D(x,n1,n2,n3, &
                  i1,i2,i3,err_msg)
-        use isotrac_mod, only: ridicule_trac
+        use isotrac_mod, ONLY: ridicule_trac
 
         IMPLICIT NONE
@@ -2190,5 +2174,5 @@
         if (iso_verif_traceur_choix_nostop(xiso,err_msg, &
              errmax,errmaxrel,ridicule_trac,deltalimtrac) &
-             .eq.1) then
+             .eq.1) THEN
                 stop
         endif
@@ -2198,5 +2182,5 @@
         SUBROUTINE iso_verif_traceur_retourne4D(x,n1,n2,n3,n4, &
                  i1,i2,i3,i4,err_msg)
-        use isotrac_mod, only: ridicule_trac
+        use isotrac_mod, ONLY: ridicule_trac
 
         IMPLICIT NONE
@@ -2222,5 +2206,5 @@
         if (iso_verif_traceur_choix_nostop(xiso,err_msg, &
              errmax,errmaxrel,ridicule_trac,deltalimtrac) &
-             .eq.1) then
+             .eq.1) THEN
                 stop
         endif
@@ -2231,5 +2215,5 @@
       SUBROUTINE iso_verif_traceur_retourne2D(x,n1,n2, &
                  i1,i2,err_msg)
-        use isotrac_mod, only: ridicule_trac
+        use isotrac_mod, ONLY: ridicule_trac
         IMPLICIT NONE
         ! vérifier des choses sur les traceurs
@@ -2254,5 +2238,5 @@
         if (iso_verif_traceur_choix_nostop(xiso,err_msg, &
              errmax,errmaxrel,ridicule_trac,deltalimtrac) &
-             .eq.1) then
+             .eq.1) THEN
                 stop
         endif
@@ -2286,8 +2270,7 @@
 
         ! verif deltaD: iso_verif_tracdD_choix_nostop    
-        if (iso_HDO.gt.0) then  
+        if (iso_HDO.gt.0) THEN
         CALL iso_verif_tracdd_vect(x,n,m,err_msg)
-        endif !if (iso_HDO.gt.0) then        
-
+        endif !if (iso_HDO.gt.0) THEN
         ! verif pas aberramment negatif: iso_verif_tracpos_choix_nostop
         CALL iso_verif_tracpos_vect(x,n,m,err_msg,1e-5)
@@ -2321,8 +2304,7 @@
 
         ! verif deltaD: iso_verif_tracdD_choix_nostop    
-        if (iso_HDO.gt.0) then  
+        if (iso_HDO.gt.0) THEN
         CALL iso_verif_tracdd_vect(x,n,m,err_msg)
-        endif !if (iso_HDO.gt.0) then        
-        
+        endif !if (iso_HDO.gt.0) THEN
         END SUBROUTINE  iso_verif_tracnps_vect
 
@@ -2347,10 +2329,10 @@
         do i=1,n
         do ixt=niso+1,ntraciso
-          if ((x(ixt,i,j).gt.-borne).and.(x(ixt,i,j).lt.borne)) then
-          else !if ((x.gt.-borne).and.(x.lt.borne)) then
+          if ((x(ixt,i,j).gt.-borne).and.(x(ixt,i,j).lt.borne)) THEN
+          else !if ((x.gt.-borne).and.(x.lt.borne)) THEN
               iso_verif_traceur_nostop=.TRUE.
               ifaux=i
               jfaux=i
-          endif !if ((x.gt.-borne).and.(x.lt.borne)) then
+          endif !if ((x.gt.-borne).and.(x.lt.borne)) THEN
         enddo !do ixt=niso+1,ntraciso
         enddo ! do i=1,n
@@ -2358,10 +2340,10 @@
         
 
-        if (iso_verif_traceur_nostop) then
-            write(*,*) 'erreur detectée par iso_verif_nonNAN ', &
+        if (iso_verif_traceur_nostop) THEN
+            WRITE(*,*) 'erreur detectée par iso_verif_nonNAN ', &
                  'dans iso_verif_traceur_vect'
-            write(*,*) ''
-            write(*,*) err_msg
-            write(*,*) 'x=',x(:,ifaux,jfaux)
+            WRITE(*,*) ''
+            WRITE(*,*) err_msg
+            WRITE(*,*) 'x=',x(:,ifaux,jfaux)
             stop
         endif
@@ -2372,5 +2354,5 @@
         SUBROUTINE iso_verif_trac_masse_vect(x,n,m,err_msg, &
                   errmax,errmaxrel)
-        use isotopes_mod, only: isoName
+        use isotopes_mod, ONLY: isoName
         IMPLICIT NONE
        
@@ -2411,6 +2393,6 @@
 
         SUBROUTINE iso_verif_tracdd_vect(x,n,m,err_msg)
-        use isotopes_mod, only: iso_HDO,iso_eau
-        use isotrac_mod, only: strtrac
+        use isotopes_mod, ONLY: iso_HDO,iso_eau
+        use isotrac_mod, ONLY: strtrac
         IMPLICIT NONE
        
@@ -2426,5 +2408,5 @@
        integer lnblnk
 
-       if (iso_HDO.gt.0) then
+       if (iso_HDO.gt.0) THEN
         do izone=1,nzone
           ieau=itZonIso(izone,iso_eau)
@@ -2448,6 +2430,5 @@
                  deltalimtrac)
          enddo !do izone=1,nzone
-        endif !if (iso_HDO.gt.0) then
-
+        endif !if (iso_HDO.gt.0) THEN
         END SUBROUTINE  iso_verif_tracdd_vect
 
@@ -2470,5 +2451,5 @@
         do i=1,n
         do ixt=niso+1,ntraciso
-          if (x(ixt,i,j).lt.-seuil) then
+          if (x(ixt,i,j).lt.-seuil) THEN
               ifaux=i
               jfaux=j
@@ -2480,10 +2461,10 @@
         enddo !do j=1,m        
 
-        if (iso_verif_traceur_nostop) then
-            write(*,*) 'erreur detectée par verif positif ', &
+        if (iso_verif_traceur_nostop) THEN
+            WRITE(*,*) 'erreur detectée par verif positif ', &
                  'dans iso_verif_traceur_vect'
-            write(*,*) ''
-            write(*,*) err_msg
-            write(*,*) 'x=',x(:,ifaux,jfaux)
+            WRITE(*,*) ''
+            WRITE(*,*) err_msg
+            WRITE(*,*) 'x=',x(:,ifaux,jfaux)
             stop
         endif
@@ -2494,5 +2475,5 @@
 
         SUBROUTINE iso_verif_tracnps(x,err_msg)
-        use isotrac_mod, only: ridicule_trac
+        use isotrac_mod, ONLY: ridicule_trac
 
         IMPLICIT NONE
@@ -2513,5 +2494,5 @@
         if (iso_verif_tracnps_choix_nostop(x,err_msg, &
              errmax,errmaxrel,ridicule_trac,deltalimtrac) &
-             .eq.1) then
+             .eq.1) THEN
                 stop
         endif
@@ -2537,5 +2518,5 @@
 
         if (iso_verif_tracpos_choix_nostop(x,err_msg,seuil) &
-             .eq.1) then
+             .eq.1) THEN
                 stop
         endif
@@ -2560,5 +2541,5 @@
         if (iso_verif_traceur_choix_nostop(x,err_msg, &
              errmax,errmaxrel,ridicule_trac_loc,deltalimtrac) &
-             .eq.1) then
+             .eq.1) THEN
                 stop
         endif
@@ -2567,6 +2548,6 @@
 
         function iso_verif_traceur_nostop(x,err_msg)
-        use isotrac_mod, only: ridicule_trac
-        !use isotopes_verif, only: errmax,errmaxrel,deltalimtrac
+        use isotrac_mod, ONLY: ridicule_trac
+        !use isotopes_verif, ONLY: errmax,errmaxrel,deltalimtrac
         IMPLICIT NONE
         ! vérifier des choses sur les traceurs
@@ -2591,5 +2572,5 @@
              errmax,errmaxrel,ridicule_trac,deltalimtrac)
 
-        end function iso_verif_traceur_nostop
+        END FUNCTION iso_verif_traceur_nostop
 
 
@@ -2610,5 +2591,5 @@
 
         ! verif noNaN
-        if (iso_verif_traceur_noNaN_nostop(x,err_msg).eq.1) then
+        if (iso_verif_traceur_noNaN_nostop(x,err_msg).eq.1) THEN
              stop
         endif 
@@ -2616,5 +2597,5 @@
         ! verif masse
         if (iso_verif_tracm_choix_nostop(x,err_msg, &
-                 errmax,errmaxrel).eq.1) then
+                 errmax,errmaxrel).eq.1) THEN
              stop
         endif    
@@ -2642,5 +2623,5 @@
         iso_verif_traceur_jm_nostop=0
 !        ! verif noNaN
-!        if (iso_verif_traceur_noNaN_nostop(x,err_msg).eq.1) then
+!        if (iso_verif_traceur_noNaN_nostop(x,err_msg).eq.1) THEN
 !             iso_verif_traceur_jm_nostop=1
 !        endif 
@@ -2648,13 +2629,13 @@
         ! verif masse
         if (iso_verif_tracm_choix_nostop(x,err_msg, &
-                 errmax,errmaxrel).eq.1) then
+                 errmax,errmaxrel).eq.1) THEN
              iso_verif_traceur_jm_nostop=1
         endif   
         
-        end function iso_verif_traceur_jm_nostop
+        END FUNCTION iso_verif_traceur_jm_nostop
 
         SUBROUTINE iso_verif_tag17_q_deltaD_vect(x,n,m,err_msg)
         USE isotopes_mod, ONLY: tnat,iso_eau, ridicule,iso_HDO
-        use isotrac_mod, only: option_traceurs,nzone_temp
+        use isotrac_mod, ONLY: option_traceurs,nzone_temp
         IMPLICIT NONE
 
@@ -2671,5 +2652,5 @@
 
         if ((option_traceurs.eq.17).or. &
-                 (option_traceurs.eq.18)) then
+                 (option_traceurs.eq.18)) THEN
         ! verifier que deltaD du tag de la couche la plus haute <
         ! 200 permil, et vérifier que son q est inférieur à 
@@ -2679,35 +2660,34 @@
         do i=1,n
          do k=1,m
-           if (x(ieau,i,k).gt.ridicule) then
+           if (x(ieau,i,k).gt.ridicule) THEN
              if ((x(ixt,i,k)/x(ieau,i,k)/tnat(iso_HDO)-1)*1000 &
-                  .gt.-200.0) then
-                write(*,*) err_msg,', vect:deltaDt05 trop fort'
-                write(*,*) 'i,k=',i,k
-                write(*,*) 'x(:,i,k)=',x(:,i,k)
+                  .gt.-200.0) THEN
+                WRITE(*,*) err_msg,', vect:deltaDt05 trop fort'
+                WRITE(*,*) 'i,k=',i,k
+                WRITE(*,*) 'x(:,i,k)=',x(:,i,k)
                 stop
              endif !if (iso_verif_positif_nostop(-200.0-deltaD(x(ixt),x(ieau)),
-           endif !if (x(ieau).gt.ridicule) then
-           if (x(ieau,i,k).gt.2.0e-3) then
-                write(*,*) err_msg,', vect:qt05 trop fort'
-                write(*,*) 'i,k=',i,k
-                write(*,*) 'x(:,i,k)=',x(:,i,k)
+           endif !if (x(ieau).gt.ridicule) THEN
+           if (x(ieau,i,k).gt.2.0e-3) THEN
+                WRITE(*,*) err_msg,', vect:qt05 trop fort'
+                WRITE(*,*) 'i,k=',i,k
+                WRITE(*,*) 'x(:,i,k)=',x(:,i,k)
                 stop
            endif !if (iso_verif_positif_nostop(1.0e-3-x(ieau),
-           if (x(iso_eau,i,k).lt.2.0e-3) then
-                if (x(ieau1,i,k)/x(iso_eau,i,k).gt.0.1) then
-                   write(*,*) err_msg,', vect: qt01 trop abondant'
-                   write(*,*) 'i,k=',i,k
-                   write(*,*) 'ieau1,iso_eau,x(ieau1,i,k),', &
+           if (x(iso_eau,i,k).lt.2.0e-3) THEN
+                if (x(ieau1,i,k)/x(iso_eau,i,k).gt.0.1) THEN
+                   WRITE(*,*) err_msg,', vect: qt01 trop abondant'
+                   WRITE(*,*) 'i,k=',i,k
+                   WRITE(*,*) 'ieau1,iso_eau,x(ieau1,i,k),', &
                        'x(iso_eau,i,k)=',ieau1,iso_eau, &
                         x(ieau1,i,k),x(iso_eau,i,k)
-                   write(*,*) 'x(:,i,k)=',x(:,i,k)
+                   WRITE(*,*) 'x(:,i,k)=',x(:,i,k)
                    stop
-                endif !if (x(ieau1,i,k)/x(iso_eau,i,k).gt.0.1) then
+                endif !if (x(ieau1,i,k)/x(iso_eau,i,k).gt.0.1) THEN
             endif
           enddo !do k=1,m
         enddo !do i=1,n
 
-        endif !if (option_traceurs.eq.17) then
-
+        endif !if (option_traceurs.eq.17) THEN
         END SUBROUTINE  iso_verif_tag17_q_deltaD_vect
 
@@ -2715,5 +2695,5 @@
         SUBROUTINE iso_verif_tag17_q_deltaD_vect_ret3D(x,n,m,nq,err_msg)
         USE isotopes_mod, ONLY: tnat,iso_eau,iso_HDO,ridicule
-        use isotrac_mod, only: option_traceurs,nzone_temp
+        use isotrac_mod, ONLY: option_traceurs,nzone_temp
         IMPLICIT NONE
 
@@ -2730,5 +2710,5 @@
 
         if ((option_traceurs.eq.17).or. &
-                 (option_traceurs.eq.18)) then
+                 (option_traceurs.eq.18)) THEN
         ! verifier que deltaD du tag de la couche la plus haute <
         ! 200 permil, et vérifier que son q est inférieur à 
@@ -2739,29 +2719,29 @@
         do i=1,n
          do k=1,m
-           if (x(i,k,iq,ieau).gt.ridicule) then
+           if (x(i,k,iq,ieau).gt.ridicule) THEN
              if ((x(i,k,iq,ixt)/x(i,k,iq,ieau)/tnat(iso_HDO)-1)*1000 &
-                  .gt.-200.0) then
-                write(*,*) err_msg,', vect:deltaDt05 trop fort'
-                write(*,*) 'i,k=',i,k
-                write(*,*) 'x(i,k,iq,:)=',x(i,k,iq,:)
+                  .gt.-200.0) THEN
+                WRITE(*,*) err_msg,', vect:deltaDt05 trop fort'
+                WRITE(*,*) 'i,k=',i,k
+                WRITE(*,*) 'x(i,k,iq,:)=',x(i,k,iq,:)
                 stop
              endif !if (iso_verif_positif_nostop(-200.0-deltaD(x(ixt),x(ieau)),
-           endif !if (x(ieau).gt.ridicule) then
-           if (x(i,k,iq,ieau).gt.2.0e-3) then
-                write(*,*) err_msg,', vect:qt05 trop fort'
-                write(*,*) 'i,k=',i,k
-                write(*,*) 'x(i,k,iq,:)=',x(i,k,iq,:)
+           endif !if (x(ieau).gt.ridicule) THEN
+           if (x(i,k,iq,ieau).gt.2.0e-3) THEN
+                WRITE(*,*) err_msg,', vect:qt05 trop fort'
+                WRITE(*,*) 'i,k=',i,k
+                WRITE(*,*) 'x(i,k,iq,:)=',x(i,k,iq,:)
                 stop
            endif !if (iso_verif_positif_nostop(1.0e-3-x(ieau),
-           if (x(i,k,iq,iso_eau).lt.2.0e-3) then
-                if (x(i,k,iq,ieau1)/x(i,k,iq,iso_eau).gt.0.1) then
-                   write(*,*) err_msg,', vect: qt01 trop abondant'
-                   write(*,*) 'i,k=',i,k
-                   write(*,*) 'ieau1,iso_eau,x(i,k,iq,ieau1),', &
+           if (x(i,k,iq,iso_eau).lt.2.0e-3) THEN
+                if (x(i,k,iq,ieau1)/x(i,k,iq,iso_eau).gt.0.1) THEN
+                   WRITE(*,*) err_msg,', vect: qt01 trop abondant'
+                   WRITE(*,*) 'i,k=',i,k
+                   WRITE(*,*) 'ieau1,iso_eau,x(i,k,iq,ieau1),', &
                        'x(i,k,iq,ieau)=',ieau1,iso_eau, &
                         x(i,k,iq,ieau1),x(i,k,iq,iso_eau)
-                   write(*,*) 'x(i,k,iq,:)=',x(i,k,iq,:)
+                   WRITE(*,*) 'x(i,k,iq,:)=',x(i,k,iq,:)
                    stop
-                endif !if (x(ieau1,i,k)/x(iso_eau,i,k).gt.0.1) then
+                endif !if (x(ieau1,i,k)/x(iso_eau,i,k).gt.0.1) THEN
             endif
           enddo !do k=1,m
@@ -2769,6 +2749,5 @@
         enddo ! do iq=1,nq
 
-        endif !if (option_traceurs.eq.17) then
-
+        endif !if (option_traceurs.eq.17) THEN
         END SUBROUTINE  iso_verif_tag17_q_deltaD_vect_ret3D
 
